# Client Side

**Module:** `sovai.utils.client_side`

## Functions

### `load_parquet_file()`

```python
def load_parquet_file(url, columns = None, filters = None)
```

Load a single Parquet file from a public URL.

**Parameters**

| Parameter | Type | Description     |
| --------- | ---- | --------------- |
| `url`     | —    | —               |
| `columns` | —    | Default: `None` |
| `filters` | —    | Default: `None` |

***

### `get_file_url()`

```python
def get_file_url(base_url, ticker, name_file)
```

Construct the URL for the Parquet file of a specific ticker.

**Parameters**

| Parameter   | Type | Description |
| ----------- | ---- | ----------- |
| `base_url`  | —    | —           |
| `ticker`    | —    | —           |
| `name_file` | —    | —           |

***

### `get_file_url_partitioned()`

```python
def get_file_url_partitioned(base_url, ticker, name_file)
```

Construct the URL for the Parquet file of a specific ticker using the first two letters partitioning.

**Parameters**

| Parameter   | Type | Description |
| ----------- | ---- | ----------- |
| `base_url`  | —    | —           |
| `ticker`    | —    | —           |
| `name_file` | —    | —           |

***

### `load_data_for_ticker()`

```python
def load_data_for_ticker(
    base_url,
    ticker,
    columns,
    from_date,
    to_date,
    name_file,
    partitioned = False,
)
```

Load data for a single ticker.

**Parameters**

| Parameter     | Type | Description      |
| ------------- | ---- | ---------------- |
| `base_url`    | —    | —                |
| `ticker`      | —    | —                |
| `columns`     | —    | —                |
| `from_date`   | —    | —                |
| `to_date`     | —    | —                |
| `name_file`   | —    | —                |
| `partitioned` | —    | Default: `False` |

***

### `load_data_for_tickers()`

```python
def load_data_for_tickers(
    base_url,
    tickers,
    columns,
    from_date,
    to_date,
    name_file,
    partitioned = False,
)
```

Load data for multiple tickers using concurrent.futures.

**Parameters**

| Parameter     | Type | Description      |
| ------------- | ---- | ---------------- |
| `base_url`    | —    | —                |
| `tickers`     | —    | —                |
| `columns`     | —    | —                |
| `from_date`   | —    | —                |
| `to_date`     | —    | —                |
| `name_file`   | —    | —                |
| `partitioned` | —    | Default: `False` |

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sov.ai/api-reference/utils/client-side.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
